﻿Type=Activity
Version=4
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
End Sub

Sub Globals
End Sub

Sub Activity_Create(FirstTime As Boolean)
	' Initialise imgView ready for picture
	Dim imgView As ImageView
	imgView.Initialize("imgView")
	' Fill activity with imgView and center the picture
	Activity.AddView(imgView, 0dip, 0dip, 100%x, 100%y)
	FitCenterBitmap(imgView, Image.imgBitmap)
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	' Resume browsing if required (only occurs if user selected a picture before all items browsed)
	If UserClosed AND UPNP.browseIDResume <> "" Then
		CallSub2(Main, "progress_Update", True)
		CallSub3(UPNP, "BrowseServer", UPNP.browseIDResume, UPNP.browseMetaDataResume)
	End If
End Sub

' Original code provided by Klaus and can be found here...
' http://www.b4x.com/android/forum/threads/imageview-bitmap-centered.43779/#post-266106

Sub FitCenterBitmap(Imv As ImageView, pic As Bitmap)
    Private bmp As Bitmap
	bmp.Initialize3(pic)
    Private cvs As Canvas
    cvs.Initialize(Imv)
   
    Dim rectDest As Rect
    Dim delta As Int
    If bmp.Width / bmp.Height > Imv.Width / Imv.Height Then
        delta = (Imv.Height - bmp.Height / bmp.Width * Imv.Width) / 2
        rectDest.Initialize(0, delta,Imv.Width, Imv.Height - delta)
    Else
        delta = (Imv.Width - bmp.Width / bmp.Height * Imv.Height) / 2
        rectDest.Initialize(delta, 0, Imv.Width - delta, Imv.Height)
    End If
    cvs.DrawBitmap(bmp, Null, rectDest)
    Imv.Invalidate
End Sub